| Home | Libraries | People | FAQ | More

##### basic_static_string::find_last_of (3 of 5 overloads)

Find the last occurrence of any of the characters within the string.

###### Synopsis

    constexpr size_type
    find_last_of(
        const_pointer s,
        size_type pos,
        size_type n) const;

###### Description

Finds the last occurrence of any of the characters within the string pointed to by `s` within the string before or at the index `pos`.

###### Complexity

Linear.

###### Return Value

The index corrosponding to the last occurrence of any of the characters in `{s, s + n)` within `{begin(), begin() + pos}` if it exists, and `npos` otherwise.

###### Parameters

Name | Description
--- | ---
`s` | The characters to search for.
`pos` | The index to stop searching at.
`n` | The length of the string to search for.